## org.apache.batik.bridge
Class ScriptingEnvironment.ScriptingEventListener

    java.lang.Object
      org.apache.batik.bridge.ScriptingEnvironment.ScriptingEventListener

All Implemented Interfaces:
  EventListener

Enclosing class:
  ScriptingEnvironment

    protected class ScriptingEnvironment.ScriptingEventListener

extends java.lang.Object
implements EventListener

To handle a scripting event.

Field Summary
`protected java.lang.String` `attribute` The script attribute.

Constructor Summary
`ScriptingEnvironment.ScriptingEventListener(java.lang.String attr)` Creates a new ScriptingEventListener.

Method Summary
`void` `handleEvent(Event evt)` Runs the script.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### attribute

    protected java.lang.String attribute

  The script attribute.

Constructor Detail

### ScriptingEnvironment.ScriptingEventListener

    public ScriptingEnvironment.ScriptingEventListener(java.lang.String attr)

  Creates a new ScriptingEventListener.

Method Detail

### handleEvent

    public void handleEvent(Event evt)

  Runs the script.

  Specified by:
    `handleEvent` in interface `EventListener`
  Parameters:
    `evt` - The `Event` contains contextual information about the event.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.